Android Users: Please Update MCUmobile to fix the Handshake Error. Learn More.

Android Users: Please Update MCUmobile

News | May 15, 2018

Our mobile app developer released a solution to the Handshake Error issue for the Android device. Please make sure you update MCUmobile to the latest version 17.1.1.4.

Our mobile app developer is also making a change to the SSL Certificate this week (5/16 from 11 PM to 12 AM EST). Android users who have not updated their MCUmobile app to the latest version will receive the “Handshake Error.”  The fix is to update your app from the Google Play Store so that you have the most recent version of the App (17.1.1.4).

 

‹ Previous Post Next Post ›

Need Assistance?

Call 1 (800) 951-8000